/*
 * CharacterFactory.h
 *
 *  Created on: 09/giu/2014
 *      Author: bertini
 */

#ifndef CHARACTERFACTORY_H_
#define CHARACTERFACTORY_H_

#include "Character.h"
#include <string>

class CharacterFactory {
public:
	enum KnightType {StandardKnightT=1, MageKnightT};
	static Character* makeWizard(std::string name, int hp, int l, int a);
	static Character* makeKnight(std::string name, int hp, int l, int d, int w=3, CharacterFactory::KnightType type=StandardKnightT);
};

#endif /* CHARACTERFACTORY_H_ */
